Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194170 - [abrt] exaile: gdk_region_union(): python2.7 killed by SIGSEGV
Summary: [abrt] exaile: gdk_region_union(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:24fd9075c4ab49bb622ffeceeb8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 09:23 UTC by Gwendal
Modified: 2015-12-02 17:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:14:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (165.55 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: cgroup (191 bytes, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: core_backtrace (50.56 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: dso_list (18.10 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: environ (1.87 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: exploitable (110 bytes, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: maps (87.76 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: open_fds (1.15 KB, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details
File: var_log_messages (271 bytes, text/plain)
2015-02-19 09:23 UTC, Gwendal
no flags Details

Description Gwendal 2015-02-19 09:23:32 UTC
Description of problem:
I just started Exaile, and it crashed like this. It didn't crash the second time I tried to start it.

Version-Release number of selected component:
exaile-3.4.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
crash_function: gdk_region_union
executable:     /usr/bin/python2.7
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 gdk_region_union at gdkregion-generic.c:1266
 #4 gdk_window_invalidate_maybe_recurse_full at gdkwindow.c:6000
 #5 gtk_widget_invalidate_widget_windows at gtkwidget.c:4004
 #6 gtk_widget_queue_shallow_draw at gtkwidget.c:4041
 #7 gtk_widget_queue_resize at gtkwidget.c:3853
 #8 gtk_progress_set_format_string at gtkprogress.c:666
 #9 gtk_progress_bar_set_text at gtkprogressbar.c:1176
 #10 _wrap_gtk_progress_bar_set_text at gtk.c:70899
 #11 call_function at /usr/src/debug/Python-2.7.8/Python/ceval.c:4110
 #12 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:2753

Comment 1 Gwendal 2015-02-19 09:23:35 UTC
Created attachment 993460 [details]
File: backtrace

Comment 2 Gwendal 2015-02-19 09:23:37 UTC
Created attachment 993461 [details]
File: cgroup

Comment 3 Gwendal 2015-02-19 09:23:38 UTC
Created attachment 993462 [details]
File: core_backtrace

Comment 4 Gwendal 2015-02-19 09:23:39 UTC
Created attachment 993463 [details]
File: dso_list

Comment 5 Gwendal 2015-02-19 09:23:40 UTC
Created attachment 993464 [details]
File: environ

Comment 6 Gwendal 2015-02-19 09:23:41 UTC
Created attachment 993465 [details]
File: exploitable

Comment 7 Gwendal 2015-02-19 09:23:42 UTC
Created attachment 993466 [details]
File: limits

Comment 8 Gwendal 2015-02-19 09:23:44 UTC
Created attachment 993467 [details]
File: maps

Comment 9 Gwendal 2015-02-19 09:23:45 UTC
Created attachment 993468 [details]
File: open_fds

Comment 10 Gwendal 2015-02-19 09:23:46 UTC
Created attachment 993469 [details]
File: proc_pid_status

Comment 11 Gwendal 2015-02-19 09:23:47 UTC
Created attachment 993470 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 13:32:10 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 09:14:53 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.